Subject: Re: linux-next: manual merge of the msm tree with the arm tree

From: Daniel Walker <[email-masked]>
Date: Mon, 18 Oct 2010 10:26:32 -0700

On Mon, 2010-10-18 at 09:15 +0100, Russell King wrote:
> On Mon, Oct 18, 2010 at 11:02:07AM +1100, Stephen Rothwell wrote:
> > [ Just cc'ing Russell, sorry about that]
> > 
> > On Mon, 18 Oct 2010 10:35:40 +1100 Stephen Rothwell <[email-masked]> wrote:
> > >
> > > Hi Daniel,
> > > 
> > > Today's linux-next merge of the msm tree got a conflict in
> > > arch/arm/mach-msm/include/mach/debug-macro.S between commit
> > > 08a610d9ef5394525b0328da0162d7b58c982cc4 ("arm: return both physical and
> > > virtual addresses from addruart") from the arm tree and commit
> > > 46fe5f29e3062f681cc3cf07a604d82396faea89 ("msm: allow uart to be
> > > conditionally disabled") from the msm tree.
> > > 
> > > Just context changes.  I fixed it up (see below) and can carry the fix as
> > > necessary.
> 
> Thanks, but I don't think there's much which can be done about these.
> Changes such as 08a610d affect all ARM sub-architectures, and as they're
> spread across multiple git trees...
> 
> I think there's going to be some problems during this forthcoming merge
> window.

Would be nice to get CC'd ...

Ideally this patch should have been broken up and sent individually to
each maintainer .. Then I could manage this within my own tree..

Daniel